Method: blueGreenDeployments.create

Creates a blue-green deployment under a given project and location.

HTTP request

POST https://sqladmin.googleapis.com/v1/{parent=projects/*/locations/*}/blueGreenDeployments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this blue-green deployment will be created. Format: projects/{project}/locations/{location}

Query parameters

Parameters
blueGreenDeploymentId

string

Required. The ID to use for the blue-green deployment, which will become the final component of the deployment's resource name. The ID must be unique within the given project and location and between 2-63 characters.

Request body

The request body contains an instance of BlueGreenDeployment.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsql
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/sqlservice.admin

For more information, see the Authentication Overview.